<%@ page language="C#" masterpagefile="~/Common/Panel2a.master" autoeventwireup="true" inherits="Zone_ListPage, nServiceDeploy" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="pathCell">
                <a href="ZoneListPage.aspx" class="pathLink">
                    <asp:Localize id="L1" runat="server" 
                        Text="<%$ Resources:admin, Zones %>" />
                </a>
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
	<table cellSpacing="0" cellPadding="4" width="100%" border="0">
		<tr id="newZoneTr" runat="server">
		    <td class="leftCell">
		        <a href="ZoneEditPage.aspx" class="leftLink">
                    <asp:Localize id="Localize1" runat="server" 
                        Text="<%$ Resources:admin, New_Zone %>" />
		        </a>  
		    </td>
		</tr>	
	</table>  
</asp:content> 

<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder3" Runat="Server" >
    <table width="100%" cellpadding="2" cellspacing="0" border="0">
        <tr id="errMsgLabelTr" runat="server">
            <td class="formError">
                <asp:label id="errMsgLabel" runat="server"></asp:label>
            </td>
        </tr>
    </table>
    <asp:GridView id="zoneGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15" 
        AutoGenerateColumns="False" AllowSorting="False" AllowPaging="False">
        <HeaderStyle HorizontalAlign="Left" />
        <Columns>
            <asp:BoundField DataField="zone_id" 
                HeaderText="<%$ Resources:admin, ID %>" >
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField DataField="zone_name" 
                HeaderText="<%$ Resources:admin, Name %>">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField DataField="zone_description" 
                HeaderText="<%$ Resources:admin, Description %>">
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="HyperLink1" runat="server" 
                        NavigateUrl='<%# Eval("zone_id", "ZoneEditPage.aspx?zoneID={0}") %>'
                        Text='<%$ Resources:admin, Edit %>'></asp:HyperLink>
                </ItemTemplate>
                <ItemStyle CssClass="listData" />
            </asp:TemplateField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="HyperLink2" runat="server" 
                        NavigateUrl='<%# Eval("zone_id", "ZoneDelPage.aspx?zoneID={0}") %>'
                        Text='<%$ Resources:admin, Delete %>'></asp:HyperLink>
                </ItemTemplate>
                <ItemStyle CssClass="listData" />
            </asp:TemplateField>
        </Columns>
    </ASP:GridView>
</asp:Content> 