<%@ page language="C#" masterpagefile="~/Common/Panel2a.master" autoeventwireup="true" inherits="Em_ListPage, nServiceDeploy" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="pathCell">
                <a href="EmListPage.aspx" class="pathLink">
                    <asp:Localize id="L1" runat="server" 
                        Text="<%$ Resources:email, Email %>" />
                </a>
                &gt;
                <asp:Label ID="folderLabel" runat="server"></asp:Label>
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
	<table cellSpacing="0" cellPadding="4" width="100%" border="0">
		<tr>
		    <td class="leftCell">
		        <asp:HyperLink ID="inboxLink" runat="server" CssClass="leftLink" 
		            Text="<%$ Resources:email, Inbox %>"></asp:HyperLink>
		    </td>
		    <td class="leftCell">
		        [<asp:HyperLink ID="receiveLink" runat="server" CssClass="leftLink" 
		            Text="<%$ Resources:email, Receive %>"></asp:HyperLink>]
		        [<asp:HyperLink ID="importLink" runat="server" CssClass="leftLink" 
		            Text="<%$ Resources:email, Import %>"></asp:HyperLink>]
		    </td>
		</tr>	
		<tr>
		    <td class="leftCell">
		        <asp:HyperLink ID="outboxLink" runat="server" CssClass="leftLink" 
		            Text="<%$ Resources:email, Outbox %>"></asp:HyperLink>
		    </td>
		    <td class="leftCell">
		        [<asp:HyperLink ID="sendLink" runat="server" CssClass="leftLink" 
		            Text="<%$ Resources:email, Send_All %>"></asp:HyperLink>]
		    </td>
		</tr>	
		<tr>
		    <td class="leftCell">
		        <asp:HyperLink ID="sentLink" runat="server" CssClass="leftLink" 
		            Text="<%$ Resources:email, Sent %>"></asp:HyperLink>
		    </td>
		    <td class="leftCell">
		        [<asp:HyperLink ID="emptySentLink" runat="server" CssClass="leftLink" 
		            Text="<%$ Resources:email, Empty %>"></asp:HyperLink>]
		    </td>
		</tr>	
		<tr>
		    <td class="leftCell">
		        <asp:HyperLink ID="deletedLink" runat="server" CssClass="leftLink" 
		            Text="<%$ Resources:email, Deleted %>"></asp:HyperLink>
		    </td>
		    <td class="leftCell">
		        [<asp:HyperLink ID="emptyDeletedLink" runat="server" CssClass="leftLink" 
		            Text="<%$ Resources:email, Empty %>"></asp:HyperLink>]
		    </td>
		</tr>	
		<tr>	
		    <td class="leftCell" colspan="2">
		        <asp:HyperLink ID="settingsLink" runat="server" CssClass="leftLink" 
		            Text="<%$ Resources:email, Email_Settings %>"></asp:HyperLink>
		    </td>
		</tr>	
		<tr>	
		    <td class="leftCell" colspan="2">
		        <asp:HyperLink ID="templatesLink" runat="server" CssClass="leftLink" 
		            Text="<%$ Resources:email, Email_Templates %>"></asp:HyperLink>
		    </td>
		</tr>	
	</table>  
</asp:content> 

<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder3" Runat="Server" >
    <table width="100%" cellpadding="2" cellspacing="0" border="0">
        <tr id="errMsgLabelTr" runat="server">
            <td class="formError">
                <asp:label id="errMsgLabel" runat="server"></asp:label>
            </td>
        </tr>
    </table>
    <asp:GridView id="emailGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15" 
        AutoGenerateColumns="False" AllowSorting="True" AllowPaging="True"
        OnSorting="emailGrid_Sorting" OnPageIndexChanging="emailGrid_PageIndexChanging">
        <HeaderStyle HorizontalAlign="Left" />
        <Columns>
            <asp:HyperLinkField 
                DataNavigateUrlFields="em_id" 
                DataTextField = "em_id" 
                HeaderText ="<%$ Resources:email, Email_ID %>"  
                DataNavigateUrlFormatString="EmDetailPage.aspx?emID={0}" 
                SortExpression="em_id" >
                <ItemStyle CssClass="listData" />
            </asp:HyperLinkField>
            <asp:BoundField DataField="srv_name"  
                HeaderText="<%$ Resources:email, Service %>" 
                SortExpression="srv_name" >
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField DataField="em_subject"  
                HeaderText="<%$ Resources:email, Subject %>" 
                SortExpression="em_subject" >
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField DataField="em_from" 
                HeaderText="<%$ Resources:email, From %>" 
                SortExpression="em_from">   
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField DataField="em_to" 
                HeaderText="<%$ Resources:email, To %>" 
                SortExpression="em_to">   
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField DataField="em_date" 
                HeaderText="<%$ Resources:email, Date %>" 
                SortExpression="em_date">   
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
        </Columns>
    </ASP:GridView>
    <asp:HiddenField ID="sortDirectionHidden" runat="server" />
    <asp:HiddenField ID="sortExpressionHidden" runat="server" />
</asp:Content> 