<%@ page language="C#" masterpagefile="~/Common/Panel1.master" autoeventwireup="true" inherits="ReqRule_EditPage, nServiceDeploy" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="pathCell">
                <asp:HyperLink id="hl1" runat="server" CssClass="pathLink" 
                    NavigateUrl="RuleListPage.aspx"
                    Text="<%$ Resources:service, RequestRules %>" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
	<table width="60%" align="center" border="0" cellspacing="4" cellpadding="0">
        <tr>
            <td>
                <table width="100%" align="center" border="0" cellspacing="4" cellpadding="0">
		            <tr>
			            <td class="formTitle" colspan="2">
                            <asp:label id="formTitle" runat="server"></asp:label>
                            <asp:HiddenField ID="selectedServiceID" runat="server" />
			            </td>
		            </tr>
		            <tr>
			            <td colspan="2" class="formError">
				            <asp:label id="errMsgLabel" runat="server"></asp:label>
				            <asp:ValidationSummary ID="ValidationSummary1" runat="server" 
				                DisplayMode="SingleParagraph" />
			            </td>
		            </tr>
                </table>
                <asp:Wizard ID="Wizard1" runat="server" ActiveStepIndex="0" 
                    DisplaySideBar="False" Width="100%" NavigationStyle-CssClass="formCommand" 
                    OnNextButtonClick="NextButton_Click" 
                    OnFinishButtonClick="FinishButton_Click">
                    <WizardSteps>
                        <asp:WizardStep ID="WizardStep1" runat="server" Title="Step 1" StepType="Start">
                            <table width="100%" align="center" border="0" cellspacing="4" cellpadding="0">
                                <tr>
                                    <td>
                                        <asp:Localize id="Localize1" runat="server" 
                                            Text="<%$ Resources:service, RuleSelectServiceHint %>" />
                                        <br />
                                        <asp:TreeView ID="srvTree" runat="server" 
                                            OnTreeNodePopulate="srvTree_TreeNodePopulate"
                                            ImageSet="Msdn" NodeIndent="16" 
                                            EnableClientScript="true"
                                            PopulateNodesFromClient="true"  
                                            NodeWrap="True">
                                            <ParentNodeStyle Font-Bold="False" />
                                            <HoverNodeStyle Font-Underline="True" />
                                            <SelectedNodeStyle BackColor="WhiteSmoke" 
                                                BorderColor="Black" BorderStyle="Solid" BorderWidth="1px"
                                                Font-Underline="False" HorizontalPadding="3px" 
                                                VerticalPadding="1px" />
                                            <NodeStyle 
                                                HorizontalPadding="4px" NodeSpacing="1px" 
                                                VerticalPadding="2px" />
                                        </asp:TreeView>
                                    </td>
                                </tr>
                            </table>
                        </asp:WizardStep>
                        <asp:WizardStep ID="WizardStep2" runat="server" Title="Step 2" StepType="Finish">
                            <table width="100%" align="center" border="0" cellspacing="4" cellpadding="0">
                                <tr>
                                    <td align="right" nowrap="nowrap">
                                        <asp:Localize id="Localize2" runat="server" 
                                            Text="<%$ Resources:service, RuleSelectEventHint %>" />
                                    </td>
                                    <td>
                                        <!-- 
                                            Submitted = 1, 
                                            Assigned = 2, 
                                            NewInfoSubmitted = 3, 
                                            Responded = 4, 
                                            PrivateNoteAdded = 5, 
                                            ClosedByTech = 6,
                                            ClosedBySubmitter = 7
                                        -->                                        
                                        <asp:DropDownList ID="eventDdl" runat="server">
                                            <asp:ListItem Text="<%$ Resources:service, EventSubmitted %>" Value="1"></asp:ListItem>
                                            <asp:ListItem Text="<%$ Resources:service, EventAssigned %>" Value="2"></asp:ListItem>
                                            <asp:ListItem Text="<%$ Resources:service, EventNewInfoSubmitted %>" Value="3"></asp:ListItem>
                                            <asp:ListItem Text="<%$ Resources:service, EventResponded %>" Value="4"></asp:ListItem>
                                            <asp:ListItem Text="<%$ Resources:service, EventPrivateNoteAdded %>" Value="5"></asp:ListItem>
                                            <asp:ListItem Text="<%$ Resources:service, EventClosedByTech %>" Value="6"></asp:ListItem>
                                            <asp:ListItem Text="<%$ Resources:service, EventClosedBySubmitter %>" Value="7"></asp:ListItem>
                                        </asp:DropDownList>
                                    </td>
                                </tr>  
                                <tr>
                                    <td align="right">
                                        <asp:Localize id="Localize3" runat="server" 
                                            Text="<%$ Resources:service, for_service %>" />
                                    </td>
                                    <td nowrap="nowrap">
                                        <asp:Label ID="serviceNameLabel" runat="server"></asp:Label>
                                    </td>
                                </tr>  
                                <tr>
                                    <td align="right" nowrap="nowrap">
                                        <asp:Localize id="Localize4" runat="server" 
                                            Text="<%$ Resources:service, from_service_zone %>" />
                                    </td>
                                    <td>
                                        <asp:DropDownList ID="zoneDdl" runat="server">
                                        </asp:DropDownList>
                                    </td>
                                </tr>  
                                <tr>
                                    <td align="right">
                                        <asp:Localize id="Localize5" runat="server" 
                                            Text="<%$ Resources:service, with_priority %>" />
                                    </td>
                                    <td>
                                        <asp:DropDownList ID="priorityList" runat="server">
                                        </asp:DropDownList>, 
                                    </td>
                                </tr>  
                                <tr>
                                    <td align="right">
                                        <asp:Localize id="Localize6" runat="server" 
                                            Text="<%$ Resources:service, RuleActionHint %>" />
                                    </td>
                                    <td nowrap="nowrap">
                                        <!--
                                            Assign = 1,
                                            SendConfirmation = 2, 
                                            SendNotification = 3,
                                        -->                                    
                                        <asp:DropDownList ID="actionDdl" runat="server">
                                            <asp:ListItem Value="1" Text="<%$ Resources:service, ActionAssign %>"></asp:ListItem>
                                            <asp:ListItem Value="2" Text="<%$ Resources:service, ActionSendConfirmation %>"></asp:ListItem>
                                            <asp:ListItem Value="3" Text="<%$ Resources:service, ActionSendNotification %>"></asp:ListItem>
                                        </asp:DropDownList>
                                        <asp:Localize id="Localize7" runat="server" 
                                            Text="<%$ Resources:service, AssignActionHint %>" />
                                    </td>
                                </tr>  
                                <tr>
                                    <td align="right">
                                        <asp:Localize id="Localize8" runat="server" 
                                            Text="<%$ Resources:service, to_user %>" />
                                    </td>
                                    <td>
                                        <asp:DropDownList ID="userDdl" runat="server"></asp:DropDownList>
                                    </td>
                                </tr>  
	                        </table>            
	                    </asp:WizardStep>
                    </WizardSteps>
                </asp:Wizard>
            </td>
        </tr>
	</table>
</asp:Content>

		


