<%@ page language="C#" masterpagefile="~/Common/Panel2a.master" autoeventwireup="true" inherits="ReqRule_ListPage, nServiceDeploy" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="pathCell">
                <asp:HyperLink id="hl1" runat="server" CssClass="pathLink" 
                    NavigateUrl="RuleListPage.aspx"
                    Text="<%$ Resources:service, RequestRules %>" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
	<table cellSpacing="0" cellPadding="4" width="100%" border="0">
		<tr>
		    <td class="leftCell">
                <asp:HyperLink id="HyperLink3" runat="server" CssClass="pathLink" 
                    NavigateUrl="RuleEditPage.aspx"
                    Text="<%$ Resources:service, New_Rule %>" />
		    </td>
		</tr>	
	</table>  
</asp:content> 

<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder3" Runat="Server" >
    <table width="100%" cellpadding="2" cellspacing="0" border="0">
        <tr id="errMsgLabelTr" runat="server">
            <td class="formError">
                <asp:label id="errMsgLabel" runat="server"></asp:label>
            </td>
        </tr>
    </table>
    <asp:GridView id="ruleGrid" runat="server" Width="100%" CellPadding="4"
        BorderWidth="0" GridLines="None" PageSize="15" 
        AutoGenerateColumns="False" AllowSorting="True" AllowPaging="True"
        OnSorting="ruleGrid_Sorting" OnPageIndexChanging="ruleGrid_PageIndexChanging">
        <HeaderStyle HorizontalAlign="Left" />
        <Columns>
            <asp:BoundField DataField="rule_id" 
                HeaderText="<%$ Resources:service, Rule_ID %>" 
                SortExpression="rule_id">   
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField DataField="EventName" DataFormatString="Request {0}"
                HeaderText="<%$ Resources:service, Event %>" 
                SortExpression="EventName" >
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField DataField="srv_name" 
                HeaderText="<%$ Resources:service, Service %>" 
                SortExpression="srv_name">   
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField DataField="zone_name"  
                HeaderText="<%$ Resources:service, Zone %>" 
                SortExpression="zone_name" >
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField DataField="rp_name"  
                HeaderText="<%$ Resources:service, Priority %>" 
                SortExpression="rp_name" >
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField DataField="ActionName"  
                HeaderText="<%$ Resources:service, Action %>" 
                SortExpression="ActionName" >
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:BoundField DataField="UsrVarOrID"  
                HeaderText="<%$ Resources:service, To_Whom %>" 
                SortExpression="UsrVarOrID" >
                <ItemStyle CssClass="listData" />
            </asp:BoundField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="HyperLink1" runat="server" 
                        NavigateUrl='<%# Eval("rule_id", "RuleEditPage.aspx?ruleID={0}") %>'
                        Text='<%$ Resources:service, Edit %>'></asp:HyperLink>
                </ItemTemplate>
                <ItemStyle CssClass="listData" />
            </asp:TemplateField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="HyperLink2" runat="server" 
                        NavigateUrl='<%# Eval("rule_id", "RuleDelPage.aspx?ruleID={0}") %>'
                        Text='<%$ Resources:service, Delete %>'></asp:HyperLink>
                </ItemTemplate>
                <ItemStyle CssClass="listData" />
            </asp:TemplateField>
        </Columns>
    </ASP:GridView>
    <asp:HiddenField ID="sortDirectionHidden" runat="server" />
    <asp:HiddenField ID="sortExpressionHidden" runat="server" />
</asp:Content> 