<%@ page language="C#" masterpagefile="~/Common/Panel1.master" autoeventwireup="true" inherits="Service_EditPage, nServiceDeploy" title="Untitled Page" %>
    
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table width="100%" cellSpacing="0" cellPadding="0" border="0">
        <tr>
            <td class="pathCell">
                <asp:label id="pathLabel" Runat="server">Services</asp:label>
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <table width="60%" align="center" border="0" cellspacing="4" cellpadding="0">
        <tr>
            <td class="formTitle" colspan="2">
                <asp:Label ID="formTitle" Runat="server"></asp:Label>
            </td>
        </tr>
        <tr>
            <td colspan="2" class="formError">
                <asp:label id="errMsgLabel" runat="server"></asp:label>
                <asp:ValidationSummary ID="ValidationSummary1" runat="server" 
                    DisplayMode="SingleParagraph" />
            </td>
        </tr>
        <tr>
            <td class="requiredFieldLabel">
                <asp:Localize id="Localize1" runat="server" 
                    Text="<%$ Resources:service, Name %>" />:
            </td>
            <td>
                <input type="text" id="NameTxt" runat="server" size="60" maxlength="50">
                <asp:RequiredFieldValidator ID="RequiredFieldValidator1" 
                    runat="server" ControlToValidate="NameTxt"
                    ErrorMessage="<%$ Resources:service, Name_is_required %>"
                    >*</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr id="inheritTr" runat="server">
            <td nowrap="nowrap">
                <asp:Localize id="Localize2" runat="server" 
                    Text="<%$ Resources:service, Inherit_P_Groups %>" />:
            </td>
            <td>
                <asp:DropDownList ID="inheritGrpDdl" runat="server">
                    <asp:ListItem Text="<%$ Resources:service, Yes %>" Value="1"></asp:ListItem>
                    <asp:ListItem Text="<%$ Resources:service, No %>" Value="0"></asp:ListItem>
                </asp:DropDownList>
                <asp:Localize id="Localize3" runat="server" 
                    Text="<%$ Resources:service, InheritGroupsHint %>" />:
            </td>
        </tr>
        <tr>
            <td nowrap="nowrap">
                <asp:Localize id="Localize4" runat="server" 
                    Text="<%$ Resources:service, User_Group %>" />:
            </td>
            <td>
                <asp:DropDownList ID="userGroupDdl" runat="server">
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td nowrap="nowrap">
                <asp:Localize id="Localize5" runat="server" 
                    Text="<%$ Resources:service, Tier_1_Technicians %>" />:
            </td>
            <td>
                <asp:DropDownList ID="tech1GroupDdl" runat="server">
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td nowrap="nowrap">
                <asp:Localize id="Localize6" runat="server" 
                    Text="<%$ Resources:service, Tier_2_Technicians %>" />:
            </td>
            <td>
                <asp:DropDownList ID="tech2GroupDdl" runat="server">
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td nowrap="nowrap">
                <asp:Localize id="Localize7" runat="server" 
                    Text="<%$ Resources:service, Administrator_Group %>" />:
            </td>
            <td>
                <asp:DropDownList ID="adminGroupDdl" runat="server">
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td nowrap="nowrap">
                <asp:Localize id="Localize8" runat="server" 
                    Text="<%$ Resources:service, Product_Related %>" />:
            </td>
            <td>
                <asp:DropDownList ID="pdRelatedList" runat="server">
                    <asp:ListItem Text="<%$ Resources:service, Yes %>" Value="1"></asp:ListItem>
                    <asp:ListItem Text="<%$ Resources:service, No %>" Value="0"></asp:ListItem>
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td nowrap="nowrap">
                <asp:Localize id="Localize9" runat="server" 
                    Text="<%$ Resources:service, Order_Related %>" />:
            </td>
            <td>
                <asp:DropDownList ID="orderRelList" runat="server">
                    <asp:ListItem Text="<%$ Resources:service, No %>" Value="0"></asp:ListItem>
                    <asp:ListItem Text="<%$ Resources:service, Yes %>" Value="1"></asp:ListItem>
                </asp:DropDownList> 
                <asp:Localize id="Localize12" runat="server" 
                    Text="<%$ Resources:service, OrderRelatedHint %>" />:
            </td>
        </tr>
        <tr>
            <td>
                <asp:Localize id="Localize10" runat="server" 
                    Text="<%$ Resources:service, Keywords %>" />:
            </td>
            <td>
                <input type="text" id="KeywordsTxt" runat="server" size="60" maxlength="100">
            </td>
        </tr>
        <tr>
            <td valign="top">
                <asp:Localize id="Localize11" runat="server" 
                    Text="<%$ Resources:service, Description %>" />:
            </td>
            <td>
                <textarea id="DescTxt" runat="server" cols="50" rows="4" wrap="virtual"></textarea>
            </td>
        </tr>
        <tr>
            <td colspan="2" class="formCommand" align="center">
                <input type="submit" id="saveButton" runat="server" 
                    value="<%$ Resources:service, Save %>" name="Submit1"> 
            </td>
        </tr>
    </table>
</asp:Content>

