<%@ page language="C#" masterpagefile="~/Common/Panel1.master" autoeventwireup="true" inherits="Wiz_FilesPage, nServiceDeploy" title="Untitled Page" %>
    
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table width="100%" cellSpacing="0" cellPadding="0" border="0">
        <tr>
            <td class="pathCell">
                <asp:HyperLink ID="pathLink" runat="server" CssClass="pathLink"></asp:HyperLink> &gt;
                <asp:HyperLink ID="wizLink" runat="server" CssClass="pathLink"></asp:HyperLink> 
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <table align="center" border="0" cellspacing="4" cellpadding="0">
        <tr>
            <td class="formTitle">
                <asp:Localize id="L1" runat="server" 
                    Text="<%$ Resources:wizard, Manage_File_Attachments %>" />
            </td>
        </tr>
        <tr>
            <td class="formError">
                <asp:label id="errMsgLabel" runat="server"></asp:label>
            </td>
        </tr>
        <tr>
            <td>
                <asp:GridView ID="fileGrid" runat="server"
                    BorderStyle="Solid" GridLines="Horizontal" Width="100%" 
                    AutoGenerateColumns="False" CellPadding="3" 
                    OnRowDeleting="fileGrid_RowDeleting" 
                    DataKeyNames="wf_id" OnRowEditing="fileGrid_RowEditing" >
                    <HeaderStyle HorizontalAlign="Left" />
                    <Columns>
                        <asp:HyperLinkField DataNavigateUrlFields="wf_id" 
                            DataNavigateUrlFormatString="WizFileSenderPage.aspx?fileID={0}"
                            DataTextField="wf_id" 
                            HeaderText="<%$ Resources:wizard, File_ID %>" 
                            Target="_blank" />
                        <asp:BoundField DataField="wf_name" 
                            HeaderText="<%$ Resources:wizard, File_Name %>" />
                        <asp:BoundField DataField="wf_size" 
                            HeaderText="<%$ Resources:wizard, Size %>" />
                        <asp:BoundField DataField="wf_updated_on" 
                            HeaderText="<%$ Resources:wizard, Manage_File_Attachments %>Updated On" />
                        <asp:CommandField ShowEditButton="True" 
                            EditText="<%$ Resources:wizard, Replace %>" />
                        <asp:CommandField ShowDeleteButton="True" 
                            DeleteText="<%$ Resources:wizard, Delete %>" />
                    </Columns>
                </asp:GridView>
            </td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        <tr id="newAttachmentTr" runat="server">
            <td>
                <asp:Localize id="Localize1" runat="server" 
                    Text="<%$ Resources:wizard, New_attachment %>" /> #1:
                <input type="file" id="FileUpload1" runat="server" size="50"><br />
                <asp:Localize id="Localize2" runat="server" 
                    Text="<%$ Resources:wizard, New_attachment %>" /> #2:
                <input type="file" id="FileUpload2" runat="server" size="50"><br />
                <asp:Localize id="Localize3" runat="server" 
                    Text="<%$ Resources:wizard, New_attachment %>" /> #3:
                <input type="file" id="FileUpload3" runat="server" size="50"><br />
                <br />
                <asp:Localize id="Localize4" runat="server" 
                    Text="<%$ Resources:wizard, SizeLimitHint1 %>" />
                <br />
                <asp:Localize id="Localize5" runat="server" 
                    Text="<%$ Resources:wizard, SizeLimitHint2 %>" />
                <br /><br />
                <asp:Button ID="uploadButton" runat="server" 
                    OnClick="uploadButton_Click" Text="Upload All" />
            </td>
        </tr>
        <tr id="replaceAttachmentTr" runat="server">
            <td>
                <asp:Localize id="Localize6" runat="server" 
                    Text="<%$ Resources:wizard, Replace %>" /> # 
                <asp:Label ID="fileNumToRepLabel" runat="server"></asp:Label> 
                
                <asp:Localize id="Localize7" runat="server" 
                    Text="<%$ Resources:wizard, with  %>" /> 
                <input type="file" id="FileUploadReplace" runat="server" size="50"><br /><br />
                <asp:Button ID="replaceButton" runat="server" 
                    Text="<%$ Resources:wizard, Replace %>" 
                    OnClick="replaceButton_Click" />
            </td>
        </tr>
        <tr id="delAttachmentTr" runat="server">
            <td>
                <asp:Localize id="Localize8" runat="server" 
                    Text="<%$ Resources:wizard, SureToDeleteAttachment %>" /> 
                <asp:Label ID="fileNumToDelLabel" runat="server" /> ? 
                &nbsp;
                <asp:Button ID="delNoButton" runat="server" 
                    Text="<%$ Resources:wizard, No %>" OnClick="delNoButton_Click" />&nbsp;
                <asp:Button ID="delYesButton" runat="server" 
                    Text="<%$ Resources:wizard, Yes %>" OnClick="delYesButton_Click" />
            </td>
        </tr>
    </table>
</asp:Content>

