<%@ page language="C#" masterpagefile="~/Common/Panel2d.master" autoeventwireup="true" inherits="Wiz_Page, nServiceDeploy" title="Untitled Page" %>
    
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="pathCell">
                <asp:HyperLink ID="pathLink" runat="server" CssClass="pathLink" />
                <asp:label id="pathLabel" Runat="server" CssClass="pathText" />
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder2" Runat="Server">
    <table width="100%" cellpadding="2" cellspacing="0" border="0">
        <tr>
            <td class="viewTitle">
                <asp:HyperLink ID="lastQuestionLink" runat="server" CssClass="pathLink" />
                <asp:Label ID="answerToLastLabel" runat="server"></asp:Label>
            </td>
        </tr>
        <tr id="cmdTr" runat="server">
            <td class="viewLabelNoR">
                <asp:HyperLink id="editLink" runat="server" 
                    Text="<%$ Resources:wizard, Edit %>" /> 
                |
                <asp:HyperLink id="attachmentLink" runat="server" 
                    Text="<%$ Resources:wizard, Attachments %>" /> 
                |
                <asp:HyperLink id="associationLink" runat="server" 
                    Text="<%$ Resources:wizard, Associations %>" /> 
                |
                <asp:HyperLink id="moveLink" runat="server" 
                    Text="<%$ Resources:wizard, Move %>" /> 
                |
                <asp:HyperLink id="delLink" runat="server" 
                    Text="<%$ Resources:wizard, Delete %>" />
            </td>
        </tr>
        <tr>
            <td class="formError">
                <asp:label id="errMsgLabel" runat="server"></asp:label>
            </td>
        </tr>
        <tr id="gotoUrlTr" runat="server">
            <td class="viewDataNoR">
                <asp:Localize id="Localize1" runat="server" 
                    Text="<%$ Resources:wizard, Goto_URL %>" />: 
                <asp:HyperLink ID="gotoUrlLink" runat="server"></asp:HyperLink>
            </td>
        </tr>
        <tr id="explanationTr" runat="server">
            <td class="viewDataNoRB">
                <asp:Literal ID="contentLiteral" runat="server"></asp:Literal>
            </td>
        </tr>
        <tr id="attachmentTr" runat="server">
            <td class="viewDataNoRB">
                <asp:Localize id="Localize2" runat="server" 
                    Text="<%$ Resources:wizard, Attachments %>" />: 
                <asp:DataList ID="attachmentList" runat="server" 
                    RepeatDirection="Horizontal" RepeatLayout="Flow" 
                    ShowFooter="False" ShowHeader="False">
                    <ItemTemplate>
                        <a target="_blank" href='WizFileSenderPage.aspx?fileID=<%# Eval("wf_id") %>'>
                            <%# Eval("wf_name") %>
                        </a>(<%# Eval("wf_size") %> bytes)
                    </ItemTemplate><SeparatorTemplate>,</SeparatorTemplate>
                </asp:DataList>
            </td>
        </tr>
        <tr>
            <td class="viewDataNoRB">
                <asp:Label ID="quesionLabel" runat="server"></asp:Label>
            </td>
        </tr>
        <tr>
            <td class="viewDataNoRB">
                <ul>
                    <asp:Repeater ID="answerRepeater" runat="server">
                        <itemtemplate>
                            <li style="padding: 4px 0px 4px 0px"><%# Container.DataItem %></li>
                        </itemtemplate>
                    </asp:Repeater>
                </ul>
            </td>
        </tr>
        <tr id="applicableTr" runat="server">
            <td class="viewDataNoRB">
                <asp:Localize id="Localize3" runat="server" 
                    Text="<%$ Resources:wizard, Applicable %>" />
                 
                <asp:Label ID="productListLabel" runat="server" 
                    Text="<%$ Resources:wizard, Products %>" />:
                <asp:DataList ID="productList" runat="server" 
                    RepeatDirection="Horizontal" RepeatLayout="Flow" 
                    ShowFooter="False" ShowHeader="False">
                    <ItemTemplate>
                        <a href='../Product/ProductPage.aspx?pdID=<%# Eval("pd_id") %>'>
                            <%# Eval("pd_name") %></a>
                    </ItemTemplate><SeparatorTemplate>,</SeparatorTemplate>
                </asp:DataList>
                <asp:Literal ID="srvListHeaderLiteral" runat="server" 
                    Text="<%$ Resources:wizard, Services %>" />:
                <asp:DataList ID="serviceList" runat="server" 
                    RepeatDirection="Horizontal" RepeatLayout="Flow" 
                    ShowFooter="False" ShowHeader="False">
                    <ItemTemplate>
                        <a href="../Service/ServicePage.aspx?srvID=<%# Eval("srv_id") %>">
                            <%# Eval("srv_name") %></a>
                    </ItemTemplate><SeparatorTemplate>,</SeparatorTemplate>
                </asp:DataList>
            </td>
        </tr>
    </table>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolder3" Runat="Server">
    <table cellSpacing="0" cellPadding="0" width="100%" border="0">
        <tr>
            <td class="leftCellNoB" valign="top">
                <asp:TreeView ID="TreeView1" runat="server" 
                    OnTreeNodePopulate="TreeView1_PopulateNode" 
                    OnSelectedNodeChanged="TreeView1_SelectedNodeChanged" 
                    ImageSet="Msdn" NodeIndent="16" 
                    EnableClientScript="true"
                    PopulateNodesFromClient="true"  
                    NodeWrap="True">
                    <ParentNodeStyle Font-Bold="False" />
                    <HoverNodeStyle Font-Underline="True" />
                    <SelectedNodeStyle BackColor="WhiteSmoke" 
                        BorderColor="Black" BorderStyle="Solid" BorderWidth="1px"
                        Font-Underline="False" HorizontalPadding="3px" 
                        VerticalPadding="1px" />
                    <NodeStyle 
                        HorizontalPadding="4px" NodeSpacing="1px" 
                        VerticalPadding="2px" />
                </asp:TreeView>
            </td>
        </tr>
    </table>
</asp:Content>
